Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatBoostLevelFeatures

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatBoostLevelFeatures

Enclosing class:
  TdApi

public static final class TdApi.ChatBoostLevelFeatures extends TdApi.Object
Contains a list of features available on a specific chat boost level.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`accentColorCount`
Number of custom colors for background of empty chat photo, replies to messages and link previews.
`boolean`
`canRecognizeSpeech`
True, if speech recognition can be used for video note and voice note messages by all users.
`boolean`
`canSetBackgroundCustomEmoji`
True, if custom emoji for reply header and link preview background can be set.
`boolean`
`canSetCustomBackground`
True, if custom background can be set in the chat for all users.
`boolean`
`canSetCustomEmojiStickerSet`
True, if custom emoji sticker set can be set for the chat.
`boolean`
`canSetEmojiStatus`
True, if emoji status can be set.
`boolean`
`canSetProfileBackgroundCustomEmoji`
True, if custom emoji for profile background can be set.
`int`
`chatThemeBackgroundCount`
Number of chat theme backgrounds that can be set as chat background.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`customEmojiReactionCount`
Number of custom emoji reactions that can be added to the list of available reactions.
`int`
`level`
Target chat boost level.
`int`
`profileAccentColorCount`
Number of custom colors for profile photo background.
`int`
`storyPerDayCount`
Number of stories that the chat can publish daily.
`int`
`titleColorCount`
Number of custom colors for chat title.

## Constructor Summary

Constructors
Constructor
Description
`ChatBoostLevelFeatures()`
Contains a list of features available on a specific chat boost level.
`ChatBoostLevelFeatures(int level, int storyPerDayCount, int customEmojiReactionCount, int titleColorCount, int profileAccentColorCount, boolean canSetProfileBackgroundCustomEmoji, int accentColorCount, boolean canSetBackgroundCustomEmoji, boolean canSetEmojiStatus, int chatThemeBackgroundCount, boolean canSetCustomBackground, boolean canSetCustomEmojiStickerSet, boolean canRecognizeSpeech)`
Contains a list of features available on a specific chat boost level.
`ChatBoostLevelFeatures(DataInput input)`
Contains a list of features available on a specific chat boost level.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### level

public int level
Target chat boost level.

### storyPerDayCount

public int storyPerDayCount
Number of stories that the chat can publish daily.

### customEmojiReactionCount

public int customEmojiReactionCount
Number of custom emoji reactions that can be added to the list of available reactions.

### titleColorCount

public int titleColorCount
Number of custom colors for chat title.

### profileAccentColorCount

public int profileAccentColorCount
Number of custom colors for profile photo background.

### canSetProfileBackgroundCustomEmoji

public boolean canSetProfileBackgroundCustomEmoji
True, if custom emoji for profile background can be set.

### accentColorCount

public int accentColorCount
Number of custom colors for background of empty chat photo, replies to messages and link previews.

### canSetBackgroundCustomEmoji

public boolean canSetBackgroundCustomEmoji
True, if custom emoji for reply header and link preview background can be set.

### canSetEmojiStatus

public boolean canSetEmojiStatus
True, if emoji status can be set.

### chatThemeBackgroundCount

public int chatThemeBackgroundCount
Number of chat theme backgrounds that can be set as chat background.

### canSetCustomBackground

public boolean canSetCustomBackground
True, if custom background can be set in the chat for all users.

### canSetCustomEmojiStickerSet

public boolean canSetCustomEmojiStickerSet
True, if custom emoji sticker set can be set for the chat.

### canRecognizeSpeech

public boolean canRecognizeSpeech
True, if speech recognition can be used for video note and voice note messages by all users.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatBoostLevelFeatures

public ChatBoostLevelFeatures()
Contains a list of features available on a specific chat boost level.

### ChatBoostLevelFeatures

public ChatBoostLevelFeatures(int level, int storyPerDayCount, int customEmojiReactionCount, int titleColorCount, int profileAccentColorCount, boolean canSetProfileBackgroundCustomEmoji, int accentColorCount, boolean canSetBackgroundCustomEmoji, boolean canSetEmojiStatus, int chatThemeBackgroundCount, boolean canSetCustomBackground, boolean canSetCustomEmojiStickerSet, boolean canRecognizeSpeech)
Contains a list of features available on a specific chat boost level.

Parameters:
  `level` - Target chat boost level.
  `storyPerDayCount` - Number of stories that the chat can publish daily.
  `customEmojiReactionCount` - Number of custom emoji reactions that can be added to the list of available reactions.
  `titleColorCount` - Number of custom colors for chat title.
  `profileAccentColorCount` - Number of custom colors for profile photo background.
  `canSetProfileBackgroundCustomEmoji` - True, if custom emoji for profile background can be set.
  `accentColorCount` - Number of custom colors for background of empty chat photo, replies to messages and link previews.
  `canSetBackgroundCustomEmoji` - True, if custom emoji for reply header and link preview background can be set.
  `canSetEmojiStatus` - True, if emoji status can be set.
  `chatThemeBackgroundCount` - Number of chat theme backgrounds that can be set as chat background.
  `canSetCustomBackground` - True, if custom background can be set in the chat for all users.
  `canSetCustomEmojiStickerSet` - True, if custom emoji sticker set can be set for the chat.
  `canRecognizeSpeech` - True, if speech recognition can be used for video note and voice note messages by all users.

### ChatBoostLevelFeatures

public ChatBoostLevelFeatures(DataInput input) throws IOException
Contains a list of features available on a specific chat boost level.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`